; Configuration file for SKR Pro (firmware version 3)
; executed by the firmware on start-up
;
; generated by RepRapFirmware Configuration Tool v3.2.1-LPC on Tue Feb 02 2021 12:06:25 GMT+0100 (Mitteleuropäische Normalzeit)

;############## General preferences ##################
M555 P2                        ; Marlin style responses
G21                            ; Set dimensions to millimetres
G90                            ; send absolute coordinates...
M83                            ; ...but relative extruder moves
M550 P"MPCNC"                  ; set printer name
; M551 P"admin"                  ; password, web, ftp...

;############## Network ##############################
M552 S1                        ; enable network
M586 P0 S1                     ; enable HTTP
M586 P1 S1                     ; enable FTP
M586 P2 S1                     ; enable Telnet

;############## Drives ###############################
M569 P0 S0 T5:5:10:10    ; X1 physical drive 0 goes forwards using A4988 driver timings
M569 P1 S0 T5:5:10:10    ; Y1 physical drive 1 goes forwards using A4988 driver timings
M569 P2 S0 T5:5:10:10    ; Z physical drive 2 goes forwards using A4988 driver timings
M569 P3 S1 T5:5:10:10    ; X2 physical drive 3 goes backwards using A4988 driver timings
M569 P4 S1 T5:5:10:10    ; Y2 physical drive 4 goes backwards using A4988 driver timings
M584 X0:3                      ; set drive mapping on X axis
M584 Y1:4                      ; set drive mapping on Y axis
M584 Z2                        ; set drive mapping on Z axis
M350 X32 Y32 Z32 I1            ; configure microstepping with interpolation
M92 X256 Y256 Z1029.86         ; set steps per mm
; M566 X300 Y300 Z200            ; set maximum instantaneous speed changes (mm/min)
M566 X300 Y300 Z200 P1         ; set maximum instantaneous speed changes (mm/min)
; M203 X12000 Y12000 Z800        ; set maximum speeds (mm/min)
M201 X150.00 Y150.00 Z20.00    ; set accelerations (mm/s^2)
; M201 X6000 Y6000 Z200          ; set accelerations (mm/s^2)
M203 X12000 Y12000 Z800 E6000  ; Set maximum speeds (mm/min)
M204 P600 T2000	               ; set accelerations (mm/s^2) for print and travel moves
; M906 X800 Y800 Z800 I30      ; set motor currents (mA) and motor idle factor in per cent
M84 S30                        ; Set idle timeout

;############## Axis Limits ###########################
M208 X0 Y0 Z0 S1               ; set axis minima
M208 X720 Y1100 Z150 S0        ; set axis maxima

;############## Endstops ##############################
M574 X2 S1 P"xstop+e0stop"     ; configure active-high endstop for high end on X via pin xstop and e0stop
M574 Y1 S1 P"ystop+e1stop"     ; configure active-high endstop for low end on Y via pin ystop and e1stop
M574 Z2 S1 P"zstop"            ; configure active-high endstop for high end on Z via pin zstop

;############## Z-Probe ##############################
M558 P5 C"e3stop" K0 F150 
; M558 P0 H5 F120 T30000         ; disable Z probe but set dive height, probe speed and travel speed
; M557 X50:750 Y50:1150 S300     ; define mesh grid

;############## CNC Settings #########################
M453 C"e0heat+e1heat+e2heat" Q100 R6000:24000 T0		; CNC mode and spindle settings
;M453 P2 R5000                  ; Switch to CNC Mode and use E1 heater for spindle control https://duet3d.dozuki.com/Wiki/Gcode#Section_M453_Select_CNC_Device_Mode

;############## Heaters ##############################
; M140 H-1                       ; disable heated bed (overrides default heater mapping)

;############## Tools ################################
M563 P0 D0 F0                  ; define tool 0
T0                             ; select tool 0
G10 P0 X-50 Y-50 Z0            ; set tool 0 axis offsets
;G10 P0 R0 S0                  ; set initial tool 0 active and standby temperatures to 0C

;############## Emergency Stop #######################
M950 J5 C"e2stop"
M581 P5 T0 R0 S0

;############## Custom settings are not defined ######

;############## Miscellaneous ########################
M575 P1 S1 B115200            ; enable support for tft

; #### Call Init stepper script
;M98 P/macros/init_stepper.g


